org.apache.sysds.runtime.controlprogram.caching

## Class CacheBlockFactory

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.caching.CacheBlockFactory

    public class CacheBlockFactory
    extends Object

Factory to create instances of matrix/frame blocks given internal codes.

### Constructor Summary

Constructors
Constructor and Description
`CacheBlockFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getCode(CacheBlock block)`
`static ArrayList<?>` `getPairList(CacheBlock block)`
`static CacheBlock` `newInstance(int code)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheBlockFactory

    public CacheBlockFactory()

### Method Detail

#### newInstance

    public static CacheBlock newInstance(int code)

#### getCode

    public static int getCode(CacheBlock block)

#### getPairList

    public static ArrayList<?> getPairList(CacheBlock block)